<Input::ContainerGroup
  @isMainValue={{true}}
  @title={{capitalize (t 'styles')}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  @onEdit={{this.edit}}
  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}
  class='container-group-icon-styles'
  as |isEdit|
>
  {{#if isEdit}}
    <div class='form-check custom-checkbox mb-3'>
      <Input
        id='has-custom-style'
        @type='checkbox'
        class='form-check-input check-has-custom-style'
        @checked={{this.hasCustomStyle}}
      />
      <label class='form-check-label' for='has-custom-style'>{{t
          'has custom style'
        }}</label>
    </div>

    {{#if this.hasCustomStyle}}
      <Input::IconStyleAll
        @value={{this.value.types}}
        @onChange={{this.onChange}}
      />
    {{/if}}
  {{else}}
    {{#if this.hasCustomStyle}}
      <div class='container p-0'>
        <div class='row'>
          <div class='col'>
            <h3>{{capitalize (t 'points')}}</h3>
          </div>
        </div>

        <div class='row'>
          <div class='col col-site'>
            <h4>{{capitalize (t 'site')}}</h4>

            {{#each-in this.rawValue.site as |key val|}}
              <p>
                <strong>{{t key}}</strong>:
                {{val}}
              </p>
            {{/each-in}}
          </div>

          <div class='col col-line-marker'>
            <h4>{{capitalize (t 'line marker')}}</h4>
            {{#each-in this.rawValue.lineMarker as |key val|}}
              <p>
                <strong>{{t key}}</strong>:
                {{val}}
              </p>
            {{/each-in}}
          </div>

          <div class='col col-polygon-marker'>
            <h4>{{capitalize (t 'polygon marker')}}</h4>

            {{#each-in this.rawValue.polygonMarker as |key val|}}
              <p>
                <strong>{{t key}}</strong>:
                {{val}}
              </p>
            {{/each-in}}
          </div>
        </div>

        <div class='row'>
          <div class='col'>
            <h3>{{capitalize (t 'lines')}}</h3>
          </div>
        </div>

        <div class='row'>
          <div class='col col-line'>
            <h4>{{capitalize (t 'line')}}</h4>

            {{#each-in this.rawValue.line as |key val|}}
              <p>
                <strong>{{t key}}</strong>:
                {{val}}
              </p>
            {{/each-in}}
          </div>

          <div class='col col-polygon'>
            <h4>{{capitalize (t 'polygon')}}</h4>
            {{#each-in this.rawValue.polygon as |key val|}}
              <p>
                <strong>{{t key}}</strong>:
                {{val}}
              </p>
            {{/each-in}}
          </div>

          <div class='col'></div>
        </div>
      </div>
    {{else}}
      <div class='alert alert-info' role='alert'>
        {{t 'icon-inherited-style-message'}}
      </div>
    {{/if}}
  {{/if}}

</Input::ContainerGroup>